Bug 245375 - security/p5-openxpki, security/p5-openxpki-i18n: Update to 3.8.1
Summary: security/p5-openxpki, security/p5-openxpki-i18n: Update to 3.8.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Li-Wen Hsu
URL: https://github.com/openxpki/openxpki
Keywords: buildisok
Depends on: 250563
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-05 14:34 UTC by Sergei Vyshenski
Modified: 2020-10-24 20:06 UTC (History)
3 users (show)

See Also:


Attachments
patch to update two ports (64.64 KB, patch)
2020-04-05 14:34 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval+
Details | Diff
patch to update two ports (64.94 KB, patch)
2020-05-21 16:40 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval+
Details | Diff
patch to update the port (65.40 KB, patch)
2020-07-07 21:22 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval+
Details | Diff
patch to update the port (65.40 KB, patch)
2020-07-16 17:40 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval+
Details | Diff
patch to update the port (79.56 KB, patch)
2020-10-23 16:32 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Vyshenski 2020-04-05 14:34:42 UTC
Created attachment 213094 [details]
patch to update two ports

- Update 3.2.0 -> 3.4.0
https://github.com/openxpki/openxpki/compare/v3.2.0...v3.4.0
- Update git submodule openxpki-config 3.2 -> 3.4
- limit PORTSCOUT to stay with stable versions only, 
	cf: https://github.com/openxpki/openxpki#stable-releases

- "portlint -AC" gives non-relevant warnings.
- I had to redefine variable WRKSRC (to its defaut value), cf: PR#244213
	but poudriere warns about this.
- "rclint -v files/openxpki.in" gives non-relevant warnings.
- Tested with:
12.1-RELEASE-p3 amd64
poudriere 3.3.4
perl 5.30.2
pkg 1.14.2
ssl=base
- During build, non-relevannt warns are issued about possible redundant use of 
modules from perl core.
- Some of built-in perl tests fail, which is an issue of the tests 
themselves, and upstream is working on this. It does not prevent 
software from working fine.
Comment 1 Automation User 2020-04-05 15:12:03 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/133014323
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2020-04-06 02:12:10 UTC
For future issues where an existing bugzilla issue already exists, that contains substantially the the same change proposal, please update the existing issue summary & patches rather than create a new one
Comment 3 Sergei Vyshenski 2020-04-06 03:17:01 UTC
(In reply to Kubilay Kocak from comment #2)

Bug#245221 was closed before this one was created.
The objective for this was to make things more readable (after several obsolete patches) and to trigger a new buildisok cycle with the latest patch.

Sorry for the noise.
Comment 4 Sergei Vyshenski 2020-05-21 16:40:33 UTC
Created attachment 214730 [details]
patch to update two ports

Resetting of WRKSRC is a workaround the bug in Mk/bsd.port.mk, cf. PR#246196
Comment 5 Sergei Vyshenski 2020-07-07 21:22:36 UTC
Created attachment 216302 [details]
patch to update the port

- Update 3.2.0 -> 3.6.0
Changes: https://github.com/openxpki/openxpki/compare/v3.2.0...v3.6.0
- Update git submodule openxpki-config 3.2 -> 3.6
- limit PORTSCOUT to stay with stable versions only, 
	cf: https://github.com/openxpki/openxpki#stable-releases
- remove STRIP_CMD as this project does not install so libs any more
- add NO_ARCH

- "portlint -AC" gives non-relevant warnings.
- I had to redefine variable WRKSRC (to its defaut value), cf: PR#244213
	but poudriere warns about this.
- "rclint -v files/openxpki.in" gives non-relevant warnings.
- Tested with:
12.1-RELEASE-p6 amd64
poudriere 3.3.4
perl 5.30.3
pkg 1.14.6x
ssl=base
- During build, non-relevannt warns are issued about possible redundant use of 
modules from perl core.
- Some of built-in perl tests fail, which is an issue of the tests 
themselves, and upstream is working on this. It does not prevent 
software from working fine.
Comment 6 Sergei Vyshenski 2020-07-16 17:40:38 UTC
Created attachment 216491 [details]
patch to update the port

- Update 3.2.0 -> 3.6.1
Changes: https://github.com/openxpki/openxpki/compare/v3.2.0...v3.6.1
- Update git submodule openxpki-config 3.2 -> 3.6
- limit PORTSCOUT to stay with stable versions only, 
	cf: https://github.com/openxpki/openxpki#stable-releases
- remove STRIP_CMD as this project does not install so libs any more
- add NO_ARCH

- "portlint -AC" gives non-relevant warnings.
- I had to redefine variable WRKSRC (to its defaut value), cf: PR#244213
	but poudriere warns about this.
- "rclint -v files/openxpki.in" gives non-relevant warnings.
- Tested with:
12.1-RELEASE-p7 amd64
poudriere 3.3.4
perl 5.30.3
pkg 1.14.6
ssl=base
- During build, non-relevannt warns are issued about possible redundant use of 
modules from perl core.
- Some of built-in perl tests fail, which is an issue of the tests 
themselves, and upstream is working on this. It does not prevent 
software from working fine.
Comment 7 Sergei Vyshenski 2020-10-23 16:32:15 UTC
Created attachment 219009 [details]
patch to update the port

- Update 3.2.0 -> 3.8.1
Changes: https://github.com/openxpki/openxpki/compare/v3.2.0...v3.8.1
- Remove files/patch-Makefile.PL
- Update git submodule openxpki-config 3.2 -> 3.6
- limit PORTSCOUT to stay with stable versions only, 
	cf: https://github.com/openxpki/openxpki#stable-releases
- remove STRIP_CMD as this project does not install .so libs any more
- add NO_ARCH

- "portlint -AC" gives non-relevant warnings.
- I had to redefine variable WRKSRC (to its defaut value), cf: PR#244213
	but poudriere warns about this.
- "rclint -v files/openxpki.in" gives non-relevant warnings.
- Tested with:
- Tested with:
12.1-RELEASE-p10 amd64
poudriere 3.3.4
perl 5.32.0
pkg 1.15.10
ssl=base
- During build, non-relevannt warns are issued about possible redundant use of 
modules from perl core.
- Some of built-in perl tests fail, which is an issue of the tests 
themselves, and upstream is working on this. It does not prevent 
software from working fine.
Comment 8 commit-hook freebsd_committer 2020-10-24 20:06:09 UTC
A commit references this bug:

Author: lwhsu
Date: Sat Oct 24 20:05:49 UTC 2020
New revision: 553226
URL: https://svnweb.freebsd.org/changeset/ports/553226

Log:
  security/p5-openxpki, security/p5-openxpki-i18n: Update to 3.8.1

  PR:		245375
  Submitted by:	Sergei Vyshenski <svysh.fbsd@gmail.com> (maintainer)

Changes:
  head/security/p5-openxpki/Makefile
  head/security/p5-openxpki/distinfo
  head/security/p5-openxpki/files/patch-Makefile.PL
  head/security/p5-openxpki/pkg-plist
  head/security/p5-openxpki-i18n/Makefile
  head/security/p5-openxpki-i18n/distinfo
  head/security/p5-openxpki-i18n/pkg-plist